Name:		plymouth-theme-space-sunrise
Summary:	Plymouth "space-sunrise" theme
Version:	0.1
Release:	%mkrel 3.2
License:	GPLv2+
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}-mud.script
Source2:	%{name}-mdv.script
Source3:	%{name}-change-script.sh
URL:		http://gitorious.org/oskude-plymouth-themes/space-sunrise
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	plymouth-scripts
BuildArch:	noarch


%description
A little plymouth theme (part) to work as “progress bar”.


%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT


mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/space-sunrise
install -m 644 *.* $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/space-sunrise
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/space-sunrise/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/space-sunrise/
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/space-sunrise/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_datadir}/plymouth/themes/space-sunrise/plymouth-theme-space-sunrise-change-script.sh

%files
%defattr(-, root, root)
%{_datadir}/plymouth/themes/space-sunrise


%changelog
* Sun Aug 15 2010 Oliver Burger <rpm@mandrivauser.de> 0.1-3.2mud2010.1
- really fixed bug concerning original mdv systems

* Sat Aug 14 2010 Oliver Burger <rpm@mandrivauser.de> 0.1-3.1mud2010.1
- fixed bug concerning original mdv systems

* Sat Aug 14 2010 Oliver Burger <rpm@mandrivauser.de> 0.1-3mud2010.1
- added mud-script
- if MUD-LXDE is installed, the package uses the mud-script

* Mon Jul 12 2010 Oliver Burger <rpm@mandrivauser.de> 0.1-2mud2010.1
- rebuild for 2010.1

* Sat Apr 24 2010 tigger-gg <rpm@mandrivauser.de> 0.1-1mud2010.0
- initial package for Mandriva 2010.0 based on the space-sunrise-theme by http://gitorious.org/oskude-plymouth-themes/space-sunrise
